Subject: bug#16698: closed (Re: bug#16698: making the grep-2.17 release soon)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Feb 2014 16:26:04 +0000

Your bug report

#16698: making the grep-2.17 release soon

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16698: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16698
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16698: making the grep-2.17 release soon
From: Jim Meyering <[email-masked]>
To: Aharon Robbins <[email-masked]>
Cc: [email-masked]
Date: Sun, 9 Feb 2014 08:25:08 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Feb 8, 2014 at 11:27 PM,  <[email-masked]> wrote:
> Jim Meyering <[email-masked]> wrote:
>
>> Does anyone have issues they'd like to see addressed for grep-2.17?
>
> Did we close the 'Lj' issue as "we're going to ignore this for now"?
> It sounds like yes, but I thought I'd double check.

Paul made a convincing case, so I'm treating the issue as closed-for-now.
It's trivial to reopen if/when we get some good rebuttal.

> If so, some of the code in dfa.c related to case folding could probably
> still use a little refactoring.  I can try to give that whirl if noone
> beats me to it.

Sounds good.  If you'd like to see that in 2.17, please post it ASAP.

Subject: making the grep-2.17 release soon
From: Jim Meyering <[email-masked]>
To: [email-masked]
Date: Sat, 8 Feb 2014 18:34:59 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I want to make a release soon, preferably next week, with a first
snapshot tomorrow.
There is the pcre-related problem that can result in an infloop or
segfault, but that is in libpcre.  I may write a configure-time test
to detect that and, when found, turn off pcre support or just make
configure fail.  Maybe.

Does anyone have issues they'd like to see addressed for grep-2.17?